Bug 1648169 - Fuse mount would crash if features.encryption is on in the version from 3.13.0 to 4.1.5
Summary: Fuse mount would crash if features.encryption is on in the version from 3.13....
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: encryption-xlator
Version: mainline
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-09 02:06 UTC by Terry Cui
Modified: 2019-08-02 06:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-20 11:58:03 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22882 None Open encryption/crypt: remove from volume file 2019-06-20 11:52:03 UTC

Description Terry Cui 2018-11-09 02:06:24 UTC
Description of problem:
Fuse mount would crash if features.encryption is on

Version-Release number of selected component (if applicable):
1. It's ok in 3.12.3
2. It's not ok from 3.13.0 to 4.1.5

How reproducible:


Steps to Reproduce:
1. gluster volume create dht_vol transport tcp 192.168.100.1:/opt/dht_brick force
2. gluster volume set dht_vol features.encryption on
3. gluster volume set dht_vol encryption.master-key /root/master_key
4. gluster volume start dht_vol
5. mount -t glusterfs localhost:dht_vol /mnt/dht_mnt

Actual results:
Fuse mount would crash

Expected results:
Fuse mount should be ok

Additional info:
+------------------------------------------------------------------------------+
[2018-11-09 02:02:47.946708] W [rpc-clnt.c:1753:rpc_clnt_submit] 0-dht_vol-client-0: error returned while attempting to connect to host:(null), port:0
[2018-11-09 02:02:47.947195] W [rpc-clnt.c:1753:rpc_clnt_submit] 0-dht_vol-client-0: error returned while attempting to connect to host:(null), port:0
[2018-11-09 02:02:47.947586] I [rpc-clnt.c:2105:rpc_clnt_reconfig] 0-dht_vol-client-0: changing port to 49153 (from 0)
[2018-11-09 02:02:47.953866] W [rpc-clnt.c:1753:rpc_clnt_submit] 0-dht_vol-client-0: error returned while attempting to connect to host:(null), port:0
[2018-11-09 02:02:47.954614] W [rpc-clnt.c:1753:rpc_clnt_submit] 0-dht_vol-client-0: error returned while attempting to connect to host:(null), port:0
[2018-11-09 02:02:47.957263] I [MSGID: 114046] [client-handshake.c:1176:client_setvolume_cbk] 0-dht_vol-client-0: Connected to dht_vol-client-0, attached to remote volume '/opt/dht_brick'.
[2018-11-09 02:02:47.959314] I [fuse-bridge.c:4294:fuse_init] 0-glusterfs-fuse: FUSE inited with protocol versions: glusterfs 7.24 kernel 7.22
[2018-11-09 02:02:47.959350] I [fuse-bridge.c:4927:fuse_graph_sync] 0-fuse: switched to graph 0
[2018-11-09 02:02:47.961482] I [MSGID: 109063] [dht-layout.c:693:dht_layout_normalize] 0-dht_vol-dht: Found anomalies in / (gfid = 00000000-0000-0000-0000-000000000001). Holes=1 overlaps=0
pending frames:
frame : type(0) op(0)
frame : type(0) op(0)
frame : type(0) op(0)
patchset: git://git.gluster.org/glusterfs.git
signal received: 11
time of crash:
2018-11-09 02:02:47
configuration details:
argp 1
backtrace 1
dlfcn 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 4.1.5
/lib64/libglusterfs.so.0(+0x25940)[0x7f40fe903940]
/lib64/libglusterfs.so.0(gf_print_trace+0x334)[0x7f40fe90d894]
/lib64/libc.so.6(+0x35670)[0x7f40fcfec670]
/lib64/libglusterfs.so.0(mem_put+0x4c)[0x7f40fe92f16c]
/lib64/libglusterfs.so.0(+0x617ca)[0x7f40fe93f7ca]
/lib64/libglusterfs.so.0(syncop_lookup+0x469)[0x7f40fe944289]
/usr/lib64/glusterfs/4.1.5/xlator/mount/fuse.so(+0x1dba9)[0x7f40f5d78ba9]
/usr/lib64/glusterfs/4.1.5/xlator/mount/fuse.so(+0x1f241)[0x7f40f5d7a241]
/usr/lib64/glusterfs/4.1.5/xlator/mount/fuse.so(+0x1f670)[0x7f40f5d7a670]
/lib64/libpthread.so.0(+0x7dc5)[0x7f40fd767dc5]
/lib64/libc.so.6(clone+0x6d)[0x7f40fd0ad28d]
---------

Comment 1 Terry Cui 2018-11-19 05:44:59 UTC
Is there someone who can help me with this issue?
Thanks a lot. :-)

Comment 2 Terry Cui 2018-12-05 09:14:34 UTC
It is still not OK for the latest version 4.1.6.

The log is as below:

[2018-12-05 08:37:57.234637] W [rpc-clnt.c:1753:rpc_clnt_submit] 0-test_vol-client-1: error returned while attempting to connect to host:(null), port:0
[2018-12-05 08:37:57.237496] I [rpc-clnt.c:2105:rpc_clnt_reconfig] 0-test_vol-client-1: changing port to 49152 (from 0)
[2018-12-05 08:37:57.242211] W [rpc-clnt.c:1753:rpc_clnt_submit] 0-test_vol-client-1: error returned while attempting to connect to host:(null), port:0
[2018-12-05 08:37:57.242565] W [rpc-clnt.c:1753:rpc_clnt_submit] 0-test_vol-client-1: error returned while attempting to connect to host:(null), port:0
[2018-12-05 08:37:57.243600] I [MSGID: 114046] [client-handshake.c:1095:client_setvolume_cbk] 0-test_vol-client-1: Connected to test_vol-client-1, attached to remote volume '/opt/test_brick'.
[2018-12-05 08:37:57.245486] I [fuse-bridge.c:4294:fuse_init] 0-glusterfs-fuse: FUSE inited with protocol versions: glusterfs 7.24 kernel 7.22
[2018-12-05 08:37:57.245512] I [fuse-bridge.c:4927:fuse_graph_sync] 0-fuse: switched to graph 0
[2018-12-05 08:37:57.247004] I [MSGID: 108031] [afr-common.c:2597:afr_local_discovery_cbk] 0-test_vol-replicate-0: selecting local read_child test_vol-client-0
[2018-12-05 08:37:57.250283] I [MSGID: 109005] [dht-selfheal.c:2342:dht_selfheal_directory] 0-test_vol-dht: Directory selfheal failed: Unable to form layout for directory /
pending frames:
frame : type(0) op(0)
patchset: git://git.gluster.org/glusterfs.git
signal received: 11
time of crash:
2018-12-05 08:37:57
configuration details:
argp 1
backtrace 1
dlfcn 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 4.1.6
/lib64/libglusterfs.so.0(+0x25940)[0x7fa7cd5b4940]
/lib64/libglusterfs.so.0(gf_print_trace+0x334)[0x7fa7cd5be8a4]
/lib64/libc.so.6(+0x35650)[0x7fa7cbc9e650]
/lib64/libglusterfs.so.0(mem_put+0x4c)[0x7fa7cd5e017c]
/lib64/libglusterfs.so.0(+0x617da)[0x7fa7cd5f07da]
/lib64/libglusterfs.so.0(syncop_lookup+0x469)[0x7fa7cd5f5299]
/usr/lib64/glusterfs/4.1.6/xlator/mount/fuse.so(+0x1dba9)[0x7fa7c4a2aba9]
/usr/lib64/glusterfs/4.1.6/xlator/mount/fuse.so(+0x1f241)[0x7fa7c4a2c241]
/usr/lib64/glusterfs/4.1.6/xlator/mount/fuse.so(+0x1f670)[0x7fa7c4a2c670]
/lib64/libpthread.so.0(+0x7df5)[0x7fa7cc418df5]
/lib64/libc.so.6(clone+0x6d)[0x7fa7cbd5f1ad]

Comment 4 Amar Tumballi 2019-06-17 11:24:15 UTC
We have dropped support for encryption translator from codebase from glusterfs-5.x releases, as it was not maintained. Please do a `gluster volume reset test_vol features.encrypt` and then upgrading.

Comment 5 Worker Ant 2019-06-17 11:25:45 UTC
REVIEW: https://review.gluster.org/22882 (encryption/crypt: remove from volume file) posted (#1) for review on master by Amar Tumballi

Comment 6 Worker Ant 2019-06-20 11:52:04 UTC
REVIEW: https://review.gluster.org/22882 (encryption/crypt: remove from volume file) merged (#3) on master by Amar Tumballi

Comment 7 Amar Tumballi 2019-06-20 11:58:03 UTC
w.r.to comment#4


Note You need to log in before you can comment on or make changes to this bug.